package com.simuwang.base.pojo.dto.query;


import com.simuwang.base.common.support.query.PageQuery;
import com.smppw.common.pojo.enums.TimeRange;

/**
 * @author wangzaijun
 * @date 2024/9/13 13:38
 * @description 角色用户关联的分页接口请求参数
 */
public class EmailParseQuery extends PageQuery {
    /**
     * 邮箱主题
     */
    private String emailTitle;
    /**
     * 邮件类型 净值规模-1，估值表-2，定期报告-3
     */
    private Integer emailType;
    /**
     * 解析状态:1-成功,2-净值缺失，3-未匹配基金，4-净值<=0,5-资产净值<=0
     */
    private Integer parseStatus;

    /**
     * 时间区间 Last1Week-近一周,Last1Month-近一个月，Last3Months-近三月，LastHalfYear-近半年，Last1Year-近一年,FromSetup-全部，Custom-自定义
     */
    private TimeRange timeRange;

    /**
     * 开始日期
     */
    private String startDate;

    /**
     * 结束日期
     */
    private String endDate;

    public String getEmailTitle() {
        return emailTitle;
    }

    public void setEmailTitle(String emailTitle) {
        this.emailTitle = emailTitle;
    }

    public Integer getEmailType() {
        return emailType;
    }

    public void setEmailType(Integer emailType) {
        this.emailType = emailType;
    }

    public Integer getParseStatus() {
        return parseStatus;
    }

    public void setParseStatus(Integer parseStatus) {
        this.parseStatus = parseStatus;
    }

    public TimeRange getTimeRange() {
        return timeRange;
    }

    public void setTimeRange(TimeRange timeRange) {
        this.timeRange = timeRange;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }
}
